### Constructor

# WPEPlatformWayland ToplevelWayland new

#### Declaration [src]

    WPEToplevel*
    wpe_toplevel_wayland_new (
      WPEDisplayWayland* display,
      guint max_views
    )

#### Description [src]

Create a new `WPEToplevel` on `display` with `max_views` allowed.

#### Parameters

`display`

  Type: `WPEDisplayWayland`

  A `WPEDisplayWayland`.

  The data is owned by the caller of the function.

`max_views`

  Type: `guint`

  The maximum number of views allowed, or 0 for no limit.

#### Return value

Type: `WPEToplevel`

A `WPEToplevel`.

The caller of the function takes ownership of the data, and is responsible for freeing it.